Biosamples Genomic Elements
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/biosamples/genomic-elementsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/biosamples/genomic-elements"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/biosamples/genomic-elements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"log2FC": 123,
"strand": "<string>",
"neg_log10_pvalue": 123,
"neg_log10_pvalue_adj": 123,
"name": "<string>",
"DNA_count": 123,
"RNA_count": 123,
"significant": true,
"source": "<string>",
"source_url": "<string>",
"genomic_element": "<string>",
"biosample": "<string>",
"class": "<string>",
"method": "<string>",
"files_filesets": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Biosamples Genomic Elements
Retrieve MPRA expriments by querying cell ontology terms.
Set verbose = true to retrieve full info on the tested genomic elements.
Example: biosample_name = hepg2,
method = MPRA,
source = IGVF,
files_fileset = ENCFF475FKV.
The limit parameter controls the page size and can not exceed 50.
Pagination is 0-based.
Biosamples Genomic Elements
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/biosamples/genomic-elementsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/biosamples/genomic-elements"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/biosamples/genomic-elements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"log2FC": 123,
"strand": "<string>",
"neg_log10_pvalue": 123,
"neg_log10_pvalue_adj": 123,
"name": "<string>",
"DNA_count": 123,
"RNA_count": 123,
"significant": true,
"source": "<string>",
"source_url": "<string>",
"genomic_element": "<string>",
"biosample": "<string>",
"class": "<string>",
"method": "<string>",
"files_filesets": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
MPRA Available options:
ENCODE, IGVF Available options:
Homo sapiens Available options:
true, false Response
Successful response